<?php

namespace Lc\CaracoleBundle\Repository\Reduction;

class ReductionCatalogStore
{
    protected ReductionCatalogRepositoryQuery $query;

    public function __construct(ReductionCatalogRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getByProductFamily($productFamily){
        $query = $this->query->create();
        $query->filterProductFamily($productFamily);
        $query->filterStatus(true);
        return $query->findOne();

    }
}
